Bug 856206 - [FEAT] FUSE queue length needs to be configurable
[FEAT] FUSE queue length needs to be configurable
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: fuse (Show other bugs)
2.0
Unspecified Unspecified
urgent Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
Sachidananda Urs
: FutureFeature
Depends On: 845214
Blocks: 850669
  Show dependency treegraph
 
Reported: 2012-09-11 08:47 EDT by Vidya Sakar
Modified: 2013-12-18 19:08 EST (History)
12 users (show)

See Also:
Fixed In Version: glusterfs-3.3.0rhsvirt1-7.el6rhs
Doc Type: Enhancement
Doc Text:
Feature: An option for fuse module to have the request queue length configurable. Reason: With higher request queue length, fuse module can support more parallel fop requests (systemcalls). But when it is increased to higher value, there is more memory consumption, because more requests are queued up. There is no possible 'one value, fits all' type of solution here, hence we had to make it configurable to allow users to choose the right values based on use case, and their RAM size etc. Result (if any): New option is implemented for fuse module to provide queue length during mount time.
Story Points: ---
Clone Of: 845214
Environment:
Last Closed: 2013-03-28 18:25:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-09-11 08:47:06 EDT
+++ This bug was initially created as a clone of Bug #845214 +++

Description of problem:

The FUSE queue length needs to be configurable.

--- Additional comment from vbellur@redhat.com on 2012-08-22 12:56:14 EDT ---

CHANGE: http://review.gluster.org/3830 (fuse: make background queue length configurable) merged in master by Anand Avati (avati@redhat.com)
Comment 1 Amar Tumballi 2012-09-17 15:05:14 EDT
patch merged to upstream... should be available to testing with next brew build
Comment 2 Sachidananda Urs 2012-11-22 00:33:53 EST
Verified with build: glusterfs-3.3.0rhsvirt1-8.el6rhs
Now I am able to configure FUSE queue length with mount option background-qlen

For eg:

mount -t glusterfs -o background-qlen=1024 serv1:foo /mnt/fuse
Comment 6 errata-xmlrpc 2013-03-28 18:25:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0691.html

Note You need to log in before you can comment on or make changes to this bug.